Last Comment Bug 918425 - Print dialog box appears under other open windows for Mail & News
: Print dialog box appears under other open windows for Mail & News
Status: RESOLVED FIXED
: regression
Product: SeaMonkey
Classification: Client Software
Component: MailNews: General (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.24
Assigned To: rsx11m
:
Mentors:
: 918521 920001 922435 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-19 11:12 PDT by gah6
Modified: 2013-10-17 11:54 PDT (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
wontfix
fixed
fixed
fixed


Attachments
Simple fix (1003 bytes, patch)
2013-09-19 17:08 PDT, rsx11m
neil: review+
iann_bugzilla: approval‑comm‑aurora+
iann_bugzilla: approval‑comm‑beta+
Details | Diff | Review

Description gah6 2013-09-19 11:12:37 PDT
User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:24.0) Gecko/20100101 Firefox/24.0 SeaMonkey/2.21 (Beta/Release)
Build ID: 20130908220716

Steps to reproduce:

Choose any email in any folder.  Click the print button, right click and choose print, or choose File -> Print


Actual results:

When I print an email, the print dialog, which shows the printer to be used, pops up briefly and then disappears below all the other open windows.  I have to minimize all the windows to find that dialog and click OK to get it to print. 


Expected results:

In the past, the print dialog appeared on top of all open windows and stayed there.

NOTE:  This bug is identical to this one:

https://bugzilla.mozilla.org/show_bug.cgi?id=893548

That bug was specific to TB, but the behavior is the same in SM.  Hopefully the same fix can be applied, and soon, as I've had multiple questions on this since 2.21 autoupdated this morning.
Comment 1 rsx11m 2013-09-19 14:27:31 PDT
Yes, SeaMonkey has a similar function PrintEnginePrintInternal() in its implementation of mailWindowOverlay.js, thus the same fix should work here as well. I'll test it with the last argument of that function removed and will post a patch later if it works out of the box.
Comment 2 rsx11m 2013-09-19 15:11:25 PDT
*** Bug 918521 has been marked as a duplicate of this bug. ***
Comment 3 rsx11m 2013-09-19 15:16:29 PDT
Hmm, bugzilla is playing games with me and removed the tracking flag when marking the duplicate...

Reproduced on 2.21 and 2.24, thus I assume that aurora and beta channels are affected as well. I'm unable to reproduce this on Linux with KDE4 on current trunk, so this may be a Windows-only effect (where in general the problem as such should be present on all platforms, just may manifest itself differently).
Comment 4 rsx11m 2013-09-19 17:08:38 PDT
Created attachment 807520 [details] [diff] [review]
Simple fix

This is a straight port from bug 893548 attachment 792931 [details] [diff] [review] and fixes the issue for me on both SM 2.21 and 2.24 on Windows. I've also tested on Linux without seeing any effect (i.e., the problem didn't show up there in the first place, but the patch doesn't hurt either).
Comment 5 neil@parkwaycc.co.uk 2013-09-20 03:51:44 PDT
Comment on attachment 807520 [details] [diff] [review]
Simple fix

Given that the print dialog parents itself to the (hidden) print engine window, we probably want the print progress it parent itself to the same window.
Comment 6 rsx11m 2013-09-20 06:54:59 PDT
Neil, I don't really know what you mean. The progress bar for printing shows up fine in the foreground, and I don't see any reference to it in mailWindowOverlay.js (and, quite frankly - I have no clue what I'm doing here = just ported the TB patch without any idea how it works).

So, unless I've missed some other usability issue (in which case please provide a pointer to it), can we check this in as is to fix the immediate problem and get it on the branches? If there are any other improvements to the printing dialogs, those can probably be handled in another patch targeting trunk.
Comment 7 neil@parkwaycc.co.uk 2013-09-20 07:16:39 PDT
Sorry, that was just a comment in case I ever needed to remind myself of why I granted the review.
Comment 8 rsx11m 2013-09-20 07:20:03 PDT
Ok, thanks; that wasn't clear to me and I got slightly confused. :-)
Push for comm-central, please.
Comment 9 rsx11m 2013-09-20 07:23:44 PDT
Comment on attachment 807520 [details] [diff] [review]
Simple fix

[Approval Request Comment]
Regression caused by (bug #): unknown, but wasn't present in 2.20
User impact if declined: being puzzled where to find the print dialog
Testing completed (on m-c, etc.): patch tested on 2.21, 2.22, and 2.24 builds
Risk to taking this patch (and alternatives if risky): low
String changes made by this patch: none

I don't know if there will be a 2.21.1, but in case it does, this should land on comm-release as well.
Comment 10 rsx11m 2013-09-20 07:24:53 PDT
(I'm giving up on the status-seamonkey2.24 flag.)
Comment 11 Philip Chee 2013-09-20 11:41:09 PDT
Pushed to comm-central:
https://hg.mozilla.org/comm-central/rev/1a95c72ddfa0
Comment 12 therube 2013-09-24 07:22:04 PDT
*** Bug 920001 has been marked as a duplicate of this bug. ***
Comment 13 rsx11m 2013-09-30 20:17:36 PDT
*** Bug 922435 has been marked as a duplicate of this bug. ***
Comment 15 rsx11m 2013-10-17 11:54:07 PDT
Comment on attachment 807520 [details] [diff] [review]
Simple fix

Next stop will be SM 2.22, thus I'm canceling the comm-release request.

Note You need to log in before you can comment on or make changes to this bug.